# Retrieve information of a bulk PDF file generation job Retrieves information about the job which includes its status, message, and downloadable ZIP file URL link. Endpoint: GET /v1/operations/bulk-pdf/{jobId} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `jobId` (string, required) The ID of the job for which information needs to be retrieved. For example, 2c92c8955bd63cc1015bd7c151af02ab ## Response 200 fields (application/json): - `jobId` (string) Unique Id for the Triggered Job Example: "402880de8ce7edc3018ce7f18404312a" - `jobName` (string) Name of the Job provided during the POST request of the Job Example: "BulkPDFGenerationJobV1" - `status` (string) Status of the job Enum: "Submitted", "Executing", "Completed", "Error", "Aborted", "Cancelled" - `stepStatus` (string) Status of the Current Step that the Job is undergoing Enum: "JobCreated", "TasksCreated", "GenerateMissPDF", "PdfToZip", "PostProcessing" - `fileUrls` (array) Collection of S3 Pre-Signed URL(s) that can be downloaded Example: ["https://s3.us-west-2.amazonaws.com/billing-file-repository/bulk-pdf-generation/12345/all-invoices-posted-jan-2024_1.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20231222T075849Z&X-Amz-SignedHeaders=host&X-Amz-Expires=259199&X-Amz-Credential=fakeMyKeyId%2F20231222%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=62368dbec1763101fba328cf83ae7d3efd780fa03f443370d2f353757e79fc99","https://s3.us-west-2.amazonaws.com/billing-file-repository/bulk-pdf-generation/12345/all-invoices-posted-jan-2024_2.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20231222T075849Z&X-Amz-SignedHeaders=host&X-Amz-Expires=259199&X-Amz-Credential=fakeMyKeyId%2F20231222%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=62368dbec1763101fba328cf83ae7d3efd780fa03f443370d2f353757e79fc99"] - `failedDocuments` (array) Array of objects where each object contains billing document type and the IDs which failed to execute. Example: [{"docType":"Invoice","objectIds":["402880de8ce7edc3018ce7f18404315a","402880de8ce7edc3018ce7f18e0b3804"]}] - `failedDocuments.docType` (string) The type of billing document. Enum: "Invoice", "CreditMemo", "DebitMemo" - `failedDocuments.objectIds` (array) The collection of billing document IDs. Example: ["402880de8ce7edc3018ce7f18404315a","402880de8ce7edc3018ce7f18e0b3804"] - `createdOn` (string) Job Created Time Example: "2024-01-08 12:52:05" - `createdBy` (string) Id of the user who created the job Example: "caf630704a6f4100818601625ecffe0b" - `success` (boolean) Returns true if the request was processed successfully. Example: true ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.